﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfTreeNavigator
{
    public class TreeViewModel
    {
        public TreeViewModel()
       {
           Models = new ObservableCollection<Model>();
           PopulateData();
       }
     public ObservableCollection<Model> Models { get; set; }
     private void PopulateData()
     {
         Model root1 = new Model() { Header = "Send/Receive" };
         Model1 subItem1 = new Model1 { Header = "Download" };
        
         root1.RelatedItems.Add(subItem1);
         Model1 subItem2 = new Model1 { Header = "Preferences" };
       
         root1.RelatedItems.Add(subItem2);
         Model root2 = new Model() { Header = "View" };
        
         Models.Add(root1);
         Models.Add(root2);
      }
    }
}
